Bug 12712 - We need a way to disable kerberos usage by smbclient and other tools.
We need a way to disable kerberos usage by smbclient and other tools.
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
4.6.0
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-22 13:18 UTC by Stefan Metzmacher
Modified: 2017-03-23 07:04 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-03-22 13:18:57 UTC
We currently only have the option '-k' which forces the usage of kerberos.

smbtorture pretents to support '-k', '-k yes' and '-k no', I'll have to check
if that works correct, otherwise we may introduce --use-kerberos=yes|no.

'--option=gensec:gse_krb5=no' would also work in the current code.